desktop_color_depth(3)

NAME
desktop_color_depth

SYNOPSIS
#include <allegro.h>

int desktop_color_depth();

DESCRIPTION
On platforms that can run Allegro programs in a window on an existing desktop, returns the currently selected desktop color depth (your program is likely to run faster if it uses this same depth). On platforms where this information is not available or does not apply, returns zero.

SEE ALSO
get_desktop_resolution(3)